﻿@model eCommerce.ViewModels.MessageViewModel

@{
    ViewBag.Title = string.Empty;
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="margin-top-40">
    <div class="col-md-8 center-block">
        <div class="info-404 text-center">

            @if (Model.ShowSuccessfulIcon)
            {
                <div class="padding-bottom-15"><img src="/content/assets/images/checked.png" height="85" style="margin-top:15px;"></div>
            }

            <p class="lead">@Model.Message</>

            <div class="text-center">
                @switch (Model.ActionType)
                {
                    case eCommerce.Services.Common.ActionType.Back:
                        <a href="javascript: history.back();" class="btn-lg huge"><i class="fa fa-backward"></i>  Volver</a>
                        break;

                    case eCommerce.Services.Common.ActionType.Home:
                        <a href="/" class="btn-lg huge"><i class="fa fa-home"></i>  Ir a la Home</a>
                        break;

                    case eCommerce.Services.Common.ActionType.Catalogue:
                        <a href="/catalogo" class="le-button big">Ver Catalogo</a>
                        break;

                    case eCommerce.Services.Common.ActionType.ShoppingCart:
                        <a href="/ShoppingCart" class="btn-lg huge"><i class="fa fa-home"></i>  Volver al Carrito</a>
                        break;

                    default:
                        break;
                }

            </div>
        </div>
    </div>
</div>

@*</div>
        </div>
    </main>*@


